#pragma once
#include "BWAPI.h"
#include <stdio.h>
#include <stdlib.h>
using namespace BWAPI;
class Overseer;

class UnitRatio {
public:
	UnitRatio(UnitType a, UnitType b, float firstTarget, float secondTarget, Overseer* o, int secondLim);
	UnitType getReccomendedUnit();
	float getMagnitude();
	void setID(int num);
	int getID();
	std::pair<UnitType, UnitType> getSubjects();

private:
	UnitType first;
	UnitType second;
	float fTarget;
	float sTarget;
	Overseer* overseer;
	int limitSecond;

	int id;

protected:

};